/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityDevelTask;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityDevelTask {
    public void makeFacilityDevelopmentTask() {
    }

    /**  */
    public BigDecimal calcCost() {
        return new BigDecimal(0);
    }

    /**  */
    public int calcTime() {
        return 0;
    }

    public BigDecimal estimateCostToCompletion() {
        return new BigDecimal(0);
    }

    public int estimateTimeToCompletion() {
        return 0;
    }

    public int estimatePercentComplete() {
        return 0;
    }

    public boolean mi_isUnderContract() {
        return false;
    }

    public boolean mi_isComplete() {
        return false;
    }

    public static Vector listFacilityDevelTasks() {
        return new Vector();
    }

    private String description;
    private Date datePlannedStart;
    private Date datePlannedCompletion;
    private Date dateActualStart;
    private Date dateActualCompletion;
    private int durationPlanned;
    private BigDecimal percentComplete;
    private BigDecimal costPlanned;
    private BigDecimal costActual;
    private Date dateRequired;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ConstructionContract lnkUnnamed;
    private int status;

    /**
     *@shapeType AggregationLink
     *@associates <b>FacilityDevelTask</b>
     * @supplierRole sub
     * @clientCardinality 0..1
     * @supplierCardinality 0..*
     */
    private Vector lnkUnnamed1;
}


